Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 31 lines (21 sloc) 1.265 kb
7995c9f @graemerocher ignoring test temporarily, as due to infrastructure issues it is not abl...
graemerocher authored
1 Grails
2 ===
3
4 [Grails][Grails] is a framework used to build web applications with the [Groovy][Groovy] programming language. The core framework is very extensible and there are numerous [plugins][plugins] available that provide easy integration of add-on features.
5 [Grails]: http://grails.org/
6 [Groovy]: http://groovy.codehaus.org/
7 [plugins]: http://grails.org/plugins/
8
9 Getting Started
10 ---
11
12 You need a Java Development Kit (JDK) installed, but it is not necessary to install Groovy because it's bundled with the Grails distribution.
13
1963f3b @matthewmccullough Formatted environment variables as fixed-width text in the README
matthewmccullough authored
14 To install Grails, visit http://grails.org/Download and download the version you would like to use. Set a `GRAILS_HOME` environment variable to point to the root of the extracted download and add `GRAILS_HOME/bin` to your executable `PATH`. Then in a shell, type the following:
7995c9f @graemerocher ignoring test temporarily, as due to infrastructure issues it is not abl...
graemerocher authored
15
16 grails create-app sampleapp
17 cd sampleapp
18 grails run-app
19
0cec96c @jeffbrown update instructions for building Grails
jeffbrown authored
20 To build Grails, clone this GitHub repository and execute the install Gradle target:
21
22 git clone https://github.com/grails/grails-core.git
23 cd grails-core
24 ./gradlew install
7995c9f @graemerocher ignoring test temporarily, as due to infrastructure issues it is not abl...
graemerocher authored
25
26 License
27 ---
28
29 Grails and Groovy are licensed under the terms of the [Apache License, Version 2.0][Apache License, Version 2.0].
30 [Apache License, Version 2.0]: http://www.apache.org/licenses/LICENSE-2.0.html
Something went wrong with that request. Please try again.